Subject: Re: bug#28231: log-file: echo name at the end of builds

From: [email-masked] (Ludovic Courtès)
Date: Mon, 05 Feb 2018 12:20:38 +0100

Hello,

ng0 <[email-masked]> skribis:

> When a build invoked with --no-build-hook -K --log-file fails, this is the
> last output you'll see:
>
> 14:01.58 565 compiler warnings present.
> mach configuremachphase `configure' failed after 869.5 seconds
> note: keeping build directory `/tmp/guix-build-thunderbird-52.2.1.drv-0'
> builder for `/gnu/store/n7qma1ypp2px1shd88r736ykjg5dngll-thunderbird-52.2.1.drv' failed with exit code 1
> @ build-failed /gnu/store/n7qma1ypp2px1shd88r736ykjg5dngll-thunderbird-52.2.1.drv - 1 builder for `/gnu/store/n7qma1ypp2px1shd88r736ykjg5dngll-thunderbird-52.2.1.drv' failed with exit code 1
> guix build: error: build failed: build of `/gnu/store/n7qma1ypp2px1shd88r736ykjg5dngll-thunderbird-52.2.1.drv' failed
>
> As far as I remember from builds I have aborted at the beginning, the
> logfile name is displayed when the build process beginns.
>
> In my opinion we should also display them at the end builds (however they end).
> If we don't record logs of failed builds, we should start doing that.

I don’t think it’s necessary, we can always get the file name with “guix
build --log-file”, can’t we?

Ludo’.